Net::Twitter::Lite::Error(3pm)

NAME
Net::Twitter::Lite::Error - Encapsulates errors thrown by Net::Twitter::Lite

VERSION
version 0.12006

SYNOPSIS
  use Net::Twitter::Lite;
  my $nt = Net::Twitter::Lite->new;
  my $r = eval { $nt->friends_timeline };
  warn "$@\n" if $@;

DESCRIPTION
Net::Twitter::Lite::Error encapsulates errors thrown by "Net::Twitter::Lite". A "Net::Twitter::Lite::Error" object will contain an "HTTP::Response", and a HASHREF containing Twitter API error information if one was returned by Twitter.

METHODS

new Constructs an "Net::Twitter::Lite::Error" object with an HTTP::Response and optionally a Twitter error HASH ref. It takes HASH of arguments. Examples:

      my $e = Net::Twitter::Lite::Error->new(http_response => $res, twitter_error => $te);
      my $e = Net::Twitter::Lite::Error->new(http_response => $res);

twitter_error
    Get or set the encapsulated Twitter API error HASH ref.

http_response
    Get or set the encapsulated HTTP::Response instance.

code
    Returns the HTTP Status Code from the encapsulated HTTP::Response

message
    Returns the HTTP Status Message from the encapsulated HTTP::Response

error
    Returns an error message as a string. The message be the "error" element of the encapsulated Twitter API HASH ref, if there is one. Otherwise it will return a string containing the HTTP Status Code and Message. If the "Net::Twitter::Lite::Error" instance does not contain either an HTTP::Response or a Twitter Error HASH ref, or the HTTP::Response has no status code or message, "error" returns the string '[unknown]'.

    A Net::Twitter::Lite::Error stringifies to the "error" message.

SEE ALSO
Net::Twitter::Lite

AUTHOR
Marc Mims <marc@questright.com>

LICENSE
This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See perlartistic.